com.parse

## Class ParseCrashReporting

- java.lang.Object
- - com.parse.ParseCrashReporting

    public final class ParseCrashReporting
    extends Object

`ParseCrashReporting` is responsible for enabling crash reporting in your application.

This can be found in our ParseCrashReporting SDK.

### Method Summary

Methods
`static void` `enable(Context context)` Enable crash reporting for your app.
`static boolean` `isCrashReportingEnabled()` Indicates whether crash reporting is currently enabled.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### enable

    public static void enable(Context context)

Enable crash reporting for your app. This must be called before your application can use crash reporting.

The recommended way is to put a call to `ParseCrashReporting.enable` in your `Application`'s `onCreate` method before `Parse#initialize(Context)`. For example:

     public class MyApplication extends Application {
       public void onCreate() {
         ParseCrashReporting.enable(this);
         Parse.initialize(this);
       }
     }

Parameters:
  `context` - The active Context for your application.

#### isCrashReportingEnabled

    public static boolean isCrashReportingEnabled()

Indicates whether crash reporting is currently enabled.

Returns:
  true if crash reporting is enabled.